Bug 846377 - (CVE-2012-3461) CVE-2012-3461 libotr: Multiple heap-based buffer overflows in the Base64 decoder
CVE-2012-3461 libotr: Multiple heap-based buffer overflows in the Base64 decoder
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120727,repor...
: Security
Depends On: 846380 846381
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-07 11:24 EDT by Jan Lieskovsky
Modified: 2016-03-04 06:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-03 21:46:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Novell 789190 None None None 2012-11-12 06:55:23 EST

  None (edit)
Description Jan Lieskovsky 2012-08-07 11:24:48 EDT
Multiple heap-based buffer overflow flaws were found in the way the Base64 decoder of libotr, an Off-The-Record Messaging library and toolkit, performed decoding of certain messages. A remote attacker could provide a specially-crafted OTR message that once processed in an application linked against libotr would lead to that application crash or, potentially, arbitrary code execution with the privileges of the user running the application.

References:
[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=684121
[2] http://lists.cypherpunks.ca/pipermail/otr-dev/2012-July/001347.html

Relevant upstream patches:
[3] http://otr.git.sourceforge.net/git/gitweb.cgi?p=otr/libotr;a=commitdiff;h=b17232f86f8e60d0d22caf9a2400494d3c77da58
[4] http://otr.git.sourceforge.net/git/gitweb.cgi?p=otr/libotr;a=commitdiff;h=6d4ca89cf1d3c9a8aff696c3a846ac5a51f762c1
[5] http://otr.git.sourceforge.net/git/gitweb.cgi?p=otr/libotr;a=commitdiff;h=1902baee5d4b056850274ed0fa8c2409f1187435
Comment 1 Jan Lieskovsky 2012-08-07 11:36:13 EDT
These issues affect the versions of the libotr package, as shipped with Fedora release of 16 and 17. Please schedule an update.

--

These issues affect the versions of the libotr package, as shipped with Fedora EPEL 5 and 6. Please schedule an update.
Comment 2 Jan Lieskovsky 2012-08-07 11:37:16 EDT
Created libotr tracking bugs for this issue

Affects: fedora-all [bug 846380]
Affects: epel-all [bug 846381]
Comment 3 Paul Wouters 2012-08-07 16:09:57 EDT
I'm talking with upstream. They only released a patch, which also increases the version number of the release, without releasing a tar ball. I'm trying to convince them to do a proper tar ball release.
Comment 4 Paul Wouters 2012-08-08 12:53:44 EDT
bodhi didn't update bugzilla, but Fedora builds have been made. EL builds will follow soon.


  https://admin.fedoraproject.org/updates/libotr-3.2.0-7.fc16
  https://admin.fedoraproject.org/updates/libotr-3.2.0-8.fc17
Comment 5 Jan Lieskovsky 2012-08-08 13:32:57 EDT
The CVE identifier of CVE-2012-3461 has been assigned to these issues:
http://www.openwall.com/lists/oss-security/2012/08/08/3
Comment 6 Jan Lieskovsky 2012-08-08 13:34:44 EDT
(In reply to comment #4)
> bodhi didn't update bugzilla, but Fedora builds have been made. EL builds
> will follow soon.
> 
> 
>   https://admin.fedoraproject.org/updates/libotr-3.2.0-7.fc16
>   https://admin.fedoraproject.org/updates/libotr-3.2.0-8.fc17

Thanks, Paul (I suspect both of the bug ids, thus #846377 and #846380 need to be listed when scheduling Bodhi update request).
Comment 7 Paul Wouters 2012-08-09 12:30:10 EDT
https://admin.fedoraproject.org/updates/libotr-3.2.0-5.el6
https://admin.fedoraproject.org/updates/libotr-3.2.0-2.el5

(apparently security marked bugs get their announcements delayed on purpose)
Comment 8 Paul Wouters 2012-08-14 21:44:12 EDT
there is updated version of this patch, which is included in a new version of libotr (and pidgin-otr), despite earlier plans of upstream to not release a new version, I'm building this now and tomorrow
Comment 9 Paul Wouters 2012-08-16 14:59:08 EDT
builds are in testing. note there is no new CVE planned for the difference between the two patches.
Comment 10 Fedora Update System 2012-08-24 22:56:15 EDT
libotr-3.2.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-08-24 23:01:11 EDT
libotr-3.2.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2012-09-01 13:24:09 EDT
libotr-3.2.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2012-09-01 13:24:57 EDT
libotr-3.2.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2012-09-17 19:42:41 EDT
libotr-3.2.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.